Regular Expressions
Collaboration diagram for Regular Expressions:

## Modules

| Base and Implementation Classes

## Namespaces

| std::regex_constants

## Classes

class | std::basic_regex< _Ch_type, _Rx_traits >
class | std::match_results< _Bi_iter, _Alloc >
class | std::regex_error
class | std::regex_iterator< _Bi_iter, _Ch_type, _Rx_traits >
class | std::regex_token_iterator< _Bi_iter, _Ch_type, _Rx_traits >
struct | std::regex_traits< _Ch_type >
class | std::sub_match< _BiIter >

## Typedefs

template<typename _Bi_iter , typename _Ch_traits , typename _Ch_alloc >
using | std::__sub_match_string = basic_string< typename iterator_traits< _Bi_iter >::value_type, _Ch_traits, _Ch_alloc >
typedef match_results< const char * > | std::cmatch
typedef regex_iterator< const char * > | std::cregex_iterator
typedef regex_token_iterator< const char * > | std::cregex_token_iterator
typedef sub_match< const char * > | std::csub_match
typedef basic_regex< char > | std::regex
typedef match_results< string::const_iterator > | std::smatch
typedef regex_iterator< string::const_iterator > | std::sregex_iterator
typedef regex_token_iterator< string::const_iterator > | std::sregex_token_iterator
typedef sub_match< string::const_iterator > | std::ssub_match
typedef match_results< const wchar_t * > | std::wcmatch
typedef regex_iterator< const wchar_t * > | std::wcregex_iterator
typedef regex_token_iterator< const wchar_t * > | std::wcregex_token_iterator
typedef sub_match< const wchar_t * > | std::wcsub_match
typedef basic_regex< wchar_t > | std::wregex
typedef match_results< wstring::const_iterator > | std::wsmatch
typedef regex_iterator< wstring::const_iterator > | std::wsregex_iterator
typedef regex_token_iterator< wstring::const_iterator > | std::wsregex_token_iterator
typedef sub_match< wstring::const_iterator > | std::wssub_match

## Functions

template<typename _BiIter >
bool | std::operator!= (const sub_match< _BiIter > &__lhs, const sub_match< _BiIter > &__rhs)
template<typename _Bi_iter , typename _Ch_traits , typename _Ch_alloc >
bool | std::operator!= (const __sub_match_string< _Bi_iter, _Ch_traits, _Ch_alloc > &__lhs, const sub_match< _Bi_iter > &__rhs)
template<typename _Bi_iter , typename _Ch_traits , typename _Ch_alloc >
bool | std::operator!= (const sub_match< _Bi_iter > &__lhs, const __sub_match_string< _Bi_iter, _Ch_traits, _Ch_alloc > &__rhs)
template<typename _Bi_iter >
bool | std::operator!= (typename iterator_traits< _Bi_iter >::value_type const *__lhs, const sub_match< _Bi_iter > &__rhs)
template<typename _Bi_iter >
bool | std::operator!= (const sub_match< _Bi_iter > &__lhs, typename iterator_traits< _Bi_iter >::value_type const *__rhs)
template<typename _Bi_iter >
bool | std::operator!= (typename iterator_traits< _Bi_iter >::value_type const &__lhs, const sub_match< _Bi_iter > &__rhs)
template<typename _Bi_iter >
bool | std::operator!= (const sub_match< _Bi_iter > &__lhs, typename iterator_traits< _Bi_iter >::value_type const &__rhs)
template<typename _Bi_iter , class _Alloc >
bool | std::operator!= (const match_results< _Bi_iter, _Alloc > &__m1, const match_results< _Bi_iter, _Alloc > &__m2)
template<typename _BiIter >
bool | std::operator< (const sub_match< _BiIter > &__lhs, const sub_match< _BiIter > &__rhs)
template<typename _Bi_iter , typename _Ch_traits , typename _Ch_alloc >
bool | std::operator< (const __sub_match_string< _Bi_iter, _Ch_traits, _Ch_alloc > &__lhs, const sub_match< _Bi_iter > &__rhs)
template<typename _Bi_iter , class _Ch_traits , class _Ch_alloc >
bool | std::operator< (const sub_match< _Bi_iter > &__lhs, const __sub_match_string< _Bi_iter, _Ch_traits, _Ch_alloc > &__rhs)
template<typename _Bi_iter >
bool | std::operator< (typename iterator_traits< _Bi_iter >::value_type const *__lhs, const sub_match< _Bi_iter > &__rhs)
template<typename _Bi_iter >
bool | std::operator< (const sub_match< _Bi_iter > &__lhs, typename iterator_traits< _Bi_iter >::value_type const *__rhs)
template<typename _Bi_iter >
bool | std::operator< (typename iterator_traits< _Bi_iter >::value_type const &__lhs, const sub_match< _Bi_iter > &__rhs)
template<typename _Bi_iter >
bool | std::operator< (const sub_match< _Bi_iter > &__lhs, typename iterator_traits< _Bi_iter >::value_type const &__rhs)
template<typename _Ch_type , typename _Ch_traits , typename _Bi_iter >
basic_ostream< _Ch_type, _Ch_traits > & | std::operator<< (basic_ostream< _Ch_type, _Ch_traits > &__os, const sub_match< _Bi_iter > &__m)
template<typename _BiIter >
bool | std::operator<= (const sub_match< _BiIter > &__lhs, const sub_match< _BiIter > &__rhs)
template<typename _Bi_iter , typename _Ch_traits , typename _Ch_alloc >
bool | std::operator<= (const __sub_match_string< _Bi_iter, _Ch_traits, _Ch_alloc > &__lhs, const sub_match< _Bi_iter > &__rhs)
template<typename _Bi_iter , class _Ch_traits , class _Ch_alloc >
bool | std::operator<= (const sub_match< _Bi_iter > &__lhs, const __sub_match_string< _Bi_iter, _Ch_traits, _Ch_alloc > &__rhs)
template<typename _Bi_iter >
bool | std::operator<= (typename iterator_traits< _Bi_iter >::value_type const *__lhs, const sub_match< _Bi_iter > &__rhs)
template<typename _Bi_iter >
bool | std::operator<= (const sub_match< _Bi_iter > &__lhs, typename iterator_traits< _Bi_iter >::value_type const *__rhs)
template<typename _Bi_iter >
bool | std::operator<= (typename iterator_traits< _Bi_iter >::value_type const &__lhs, const sub_match< _Bi_iter > &__rhs)
template<typename _Bi_iter >
bool | std::operator<= (const sub_match< _Bi_iter > &__lhs, typename iterator_traits< _Bi_iter >::value_type const &__rhs)
template<typename _BiIter >
bool | std::operator== (const sub_match< _BiIter > &__lhs, const sub_match< _BiIter > &__rhs)
template<typename _Bi_iter , typename _Ch_traits , typename _Ch_alloc >
bool | std::operator== (const __sub_match_string< _Bi_iter, _Ch_traits, _Ch_alloc > &__lhs, const sub_match< _Bi_iter > &__rhs)
template<typename _Bi_iter , typename _Ch_traits , typename _Ch_alloc >
bool | std::operator== (const sub_match< _Bi_iter > &__lhs, const __sub_match_string< _Bi_iter, _Ch_traits, _Ch_alloc > &__rhs)
template<typename _Bi_iter >
bool | std::operator== (typename iterator_traits< _Bi_iter >::value_type const *__lhs, const sub_match< _Bi_iter > &__rhs)
template<typename _Bi_iter >
bool | std::operator== (const sub_match< _Bi_iter > &__lhs, typename iterator_traits< _Bi_iter >::value_type const *__rhs)
template<typename _Bi_iter >
bool | std::operator== (typename iterator_traits< _Bi_iter >::value_type const &__lhs, const sub_match< _Bi_iter > &__rhs)
template<typename _Bi_iter >
bool | std::operator== (const sub_match< _Bi_iter > &__lhs, typename iterator_traits< _Bi_iter >::value_type const &__rhs)
template<typename _Bi_iter , typename _Alloc >
bool | std::operator== (const match_results< _Bi_iter, _Alloc > &__m1, const match_results< _Bi_iter, _Alloc > &__m2)
template<typename _BiIter >
bool | std::operator> (const sub_match< _BiIter > &__lhs, const sub_match< _BiIter > &__rhs)
template<typename _Bi_iter , typename _Ch_traits , typename _Ch_alloc >
bool | std::operator> (const __sub_match_string< _Bi_iter, _Ch_traits, _Ch_alloc > &__lhs, const sub_match< _Bi_iter > &__rhs)
template<typename _Bi_iter , class _Ch_traits , class _Ch_alloc >
bool | std::operator> (const sub_match< _Bi_iter > &__lhs, const __sub_match_string< _Bi_iter, _Ch_traits, _Ch_alloc > &__rhs)
template<typename _Bi_iter >
bool | std::operator> (typename iterator_traits< _Bi_iter >::value_type const *__lhs, const sub_match< _Bi_iter > &__rhs)
template<typename _Bi_iter >
bool | std::operator> (const sub_match< _Bi_iter > &__lhs, typename iterator_traits< _Bi_iter >::value_type const *__rhs)
template<typename _Bi_iter >
bool | std::operator> (typename iterator_traits< _Bi_iter >::value_type const &__lhs, const sub_match< _Bi_iter > &__rhs)
template<typename _Bi_iter >
bool | std::operator> (const sub_match< _Bi_iter > &__lhs, typename iterator_traits< _Bi_iter >::value_type const &__rhs)
template<typename _BiIter >
bool | std::operator>= (const sub_match< _BiIter > &__lhs, const sub_match< _BiIter > &__rhs)
template<typename _Bi_iter , typename _Ch_traits , typename _Ch_alloc >
bool | std::operator>= (const __sub_match_string< _Bi_iter, _Ch_traits, _Ch_alloc > &__lhs, const sub_match< _Bi_iter > &__rhs)
template<typename _Bi_iter , class _Ch_traits , class _Ch_alloc >
bool | std::operator>= (const sub_match< _Bi_iter > &__lhs, const __sub_match_string< _Bi_iter, _Ch_traits, _Ch_alloc > &__rhs)
template<typename _Bi_iter >
bool | std::operator>= (typename iterator_traits< _Bi_iter >::value_type const *__lhs, const sub_match< _Bi_iter > &__rhs)
template<typename _Bi_iter >
bool | std::operator>= (const sub_match< _Bi_iter > &__lhs, typename iterator_traits< _Bi_iter >::value_type const *__rhs)
template<typename _Bi_iter >
bool | std::operator>= (typename iterator_traits< _Bi_iter >::value_type const &__lhs, const sub_match< _Bi_iter > &__rhs)
template<typename _Bi_iter >
bool | std::operator>= (const sub_match< _Bi_iter > &__lhs, typename iterator_traits< _Bi_iter >::value_type const &__rhs)
template<typename _Ch_type , typename _Rx_traits >
void | std::swap (basic_regex< _Ch_type, _Rx_traits > &__lhs, basic_regex< _Ch_type, _Rx_traits > &__rhs)
template<typename _Bi_iter , typename _Alloc >
void | std::swap (match_results< _Bi_iter, _Alloc > &__lhs, match_results< _Bi_iter, _Alloc > &__rhs)

## Matching, Searching, and Replacing

template<typename _Bi_iter , typename _Alloc , typename _Ch_type , typename _Rx_traits >
bool | std::regex_match (_Bi_iter __s, _Bi_iter __e, match_results< _Bi_iter, _Alloc > &__m, const basic_regex< _Ch_type, _Rx_traits > &__re, regex_constants::match_flag_type __flags=regex_constants::match_default)
template<typename _Bi_iter , typename _Ch_type , typename _Rx_traits >
bool | std::regex_match (_Bi_iter __first, _Bi_iter __last, const basic_regex< _Ch_type, _Rx_traits > &__re, regex_constants::match_flag_type __flags=regex_constants::match_default)
template<typename _Ch_type , typename _Alloc , typename _Rx_traits >
bool | std::regex_match (const _Ch_type *__s, match_results< const _Ch_type *, _Alloc > &__m, const basic_regex< _Ch_type, _Rx_traits > &__re, regex_constants::match_flag_type __f=regex_constants::match_default)
template<typename _Ch_traits , typename _Ch_alloc , typename _Alloc , typename _Ch_type , typename _Rx_traits >
bool | std::regex_match (const basic_string< _Ch_type, _Ch_traits, _Ch_alloc > &__s, match_results< typename basic_string< _Ch_type, _Ch_traits, _Ch_alloc >::const_iterator, _Alloc > &__m, const basic_regex< _Ch_type, _Rx_traits > &__re, regex_constants::match_flag_type __flags=regex_constants::match_default)
template<typename _Ch_traits , typename _Ch_alloc , typename _Alloc , typename _Ch_type , typename _Rx_traits >
bool | std::regex_match (const basic_string< _Ch_type, _Ch_traits, _Ch_alloc > &&, match_results< typename basic_string< _Ch_type, _Ch_traits, _Ch_alloc >::const_iterator, _Alloc > &, const basic_regex< _Ch_type, _Rx_traits > &, regex_constants::match_flag_type=regex_constants::match_default)=delete
template<typename _Ch_type , class _Rx_traits >
bool | std::regex_match (const _Ch_type *__s, const basic_regex< _Ch_type, _Rx_traits > &__re, regex_constants::match_flag_type __f=regex_constants::match_default)
template<typename _Ch_traits , typename _Str_allocator , typename _Ch_type , typename _Rx_traits >
bool | std::regex_match (const basic_string< _Ch_type, _Ch_traits, _Str_allocator > &__s, const basic_regex< _Ch_type, _Rx_traits > &__re, regex_constants::match_flag_type __flags=regex_constants::match_default)
template<typename _Bi_iter , typename _Alloc , typename _Ch_type , typename _Rx_traits >
bool | std::regex_search (_Bi_iter __s, _Bi_iter __e, match_results< _Bi_iter, _Alloc > &__m, const basic_regex< _Ch_type, _Rx_traits > &__re, regex_constants::match_flag_type __flags=regex_constants::match_default)
template<typename _Bi_iter , typename _Ch_type , typename _Rx_traits >
bool | std::regex_search (_Bi_iter __first, _Bi_iter __last, const basic_regex< _Ch_type, _Rx_traits > &__re, regex_constants::match_flag_type __flags=regex_constants::match_default)
template<typename _Ch_type , class _Alloc , class _Rx_traits >
bool | std::regex_search (const _Ch_type *__s, match_results< const _Ch_type *, _Alloc > &__m, const basic_regex< _Ch_type, _Rx_traits > &__e, regex_constants::match_flag_type __f=regex_constants::match_default)
template<typename _Ch_type , typename _Rx_traits >
bool | std::regex_search (const _Ch_type *__s, const basic_regex< _Ch_type, _Rx_traits > &__e, regex_constants::match_flag_type __f=regex_constants::match_default)
template<typename _Ch_traits , typename _String_allocator , typename _Ch_type , typename _Rx_traits >
bool | std::regex_search (const basic_string< _Ch_type, _Ch_traits, _String_allocator > &__s, const basic_regex< _Ch_type, _Rx_traits > &__e, regex_constants::match_flag_type __flags=regex_constants::match_default)
template<typename _Ch_traits , typename _Ch_alloc , typename _Alloc , typename _Ch_type , typename _Rx_traits >
bool | std::regex_search (const basic_string< _Ch_type, _Ch_traits, _Ch_alloc > &__s, match_results< typename basic_string< _Ch_type, _Ch_traits, _Ch_alloc >::const_iterator, _Alloc > &__m, const basic_regex< _Ch_type, _Rx_traits > &__e, regex_constants::match_flag_type __f=regex_constants::match_default)
template<typename _Ch_traits , typename _Ch_alloc , typename _Alloc , typename _Ch_type , typename _Rx_traits >
bool | std::regex_search (const basic_string< _Ch_type, _Ch_traits, _Ch_alloc > &&, match_results< typename basic_string< _Ch_type, _Ch_traits, _Ch_alloc >::const_iterator, _Alloc > &, const basic_regex< _Ch_type, _Rx_traits > &, regex_constants::match_flag_type=regex_constants::match_default)=delete
template<typename _Out_iter , typename _Bi_iter , typename _Rx_traits , typename _Ch_type , typename _St , typename _Sa >
_Out_iter | std::regex_replace (_Out_iter __out, _Bi_iter __first, _Bi_iter __last, const basic_regex< _Ch_type, _Rx_traits > &__e, const basic_string< _Ch_type, _St, _Sa > &__fmt, regex_constants::match_flag_type __flags=regex_constants::match_default)
template<typename _Out_iter , typename _Bi_iter , typename _Rx_traits , typename _Ch_type >
_Out_iter | std::regex_replace (_Out_iter __out, _Bi_iter __first, _Bi_iter __last, const basic_regex< _Ch_type, _Rx_traits > &__e, const _Ch_type *__fmt, regex_constants::match_flag_type __flags=regex_constants::match_default)
template<typename _Rx_traits , typename _Ch_type , typename _St , typename _Sa , typename _Fst , typename _Fsa >
basic_string< _Ch_type, _St, _Sa > | std::regex_replace (const basic_string< _Ch_type, _St, _Sa > &__s, const basic_regex< _Ch_type, _Rx_traits > &__e, const basic_string< _Ch_type, _Fst, _Fsa > &__fmt, regex_constants::match_flag_type __flags=regex_constants::match_default)
template<typename _Rx_traits , typename _Ch_type , typename _St , typename _Sa >
basic_string< _Ch_type, _St, _Sa > | std::regex_replace (const basic_string< _Ch_type, _St, _Sa > &__s, const basic_regex< _Ch_type, _Rx_traits > &__e, const _Ch_type *__fmt, regex_constants::match_flag_type __flags=regex_constants::match_default)
template<typename _Rx_traits , typename _Ch_type , typename _St , typename _Sa >
basic_string< _Ch_type > | std::regex_replace (const _Ch_type *__s, const basic_regex< _Ch_type, _Rx_traits > &__e, const basic_string< _Ch_type, _St, _Sa > &__fmt, regex_constants::match_flag_type __flags=regex_constants::match_default)
template<typename _Rx_traits , typename _Ch_type >
basic_string< _Ch_type > | std::regex_replace (const _Ch_type *__s, const basic_regex< _Ch_type, _Rx_traits > &__e, const _Ch_type *__fmt, regex_constants::match_flag_type __flags=regex_constants::match_default)

## Detailed Description

A facility for performing regular expression pattern matching.

## Typedef Documentation

## cregex_token_iterator

typedef regex_token_iterator<const char*> std::cregex_token_iterator

Token iterator for C-style NULL-terminated strings.

Definition at line 2783 of file regex.h.

## csub_match

typedef sub_match<const char*> std::csub_match

Standard regex submatch over a C-style null-terminated string.

Definition at line 917 of file regex.h.

## regex

typedef basic_regex<char> std::regex

Standard regular expressions.

Definition at line 789 of file regex.h.

## sregex_token_iterator

typedef regex_token_iterator<string::const_iterator> std::sregex_token_iterator

Token iterator for standard strings.

Definition at line 2786 of file regex.h.

## ssub_match

typedef sub_match<string::const_iterator> std::ssub_match

Standard regex submatch over a standard string.

Definition at line 920 of file regex.h.

## wcregex_token_iterator

typedef regex_token_iterator<const wchar_t*> std::wcregex_token_iterator

Token iterator for C-style NULL-terminated wide strings.

Definition at line 2790 of file regex.h.

## wcsub_match

typedef sub_match<const wchar_t*> std::wcsub_match

Regex submatch over a C-style null-terminated wide string.

Definition at line 924 of file regex.h.

## wregex

typedef basic_regex<wchar_t> std::wregex

Standard wide-character regular expressions.

Definition at line 793 of file regex.h.

## wsregex_token_iterator

typedef regex_token_iterator<wstring::const_iterator> std::wsregex_token_iterator

Token iterator for standard wide-character strings.

Definition at line 2793 of file regex.h.

## wssub_match

typedef sub_match<wstring::const_iterator> std::wssub_match

Regex submatch over a standard wide string.

Definition at line 927 of file regex.h.

## Function Documentation

## operator!=() [1/8]

template<typename _BiIter >

bool std::operator!= | ( | const sub_match< _BiIter > & | __lhs,
|  | const sub_match< _BiIter > & | __rhs
| ) |  |

inline

Tests the inequivalence of two regular expression submatches.

Parameters

  __lhs | First regular expression submatch.
  __rhs | Second regular expression submatch.

Returns
  true if __lhs is not equivalent to __rhs, false otherwise.

Definition at line 951 of file regex.h.

References std::sub_match< _BiIter >::compare().

## operator!=() [2/8]

template<typename _Bi_iter , typename _Ch_traits , typename _Ch_alloc >

bool std::operator!= | ( | const __sub_match_string< _Bi_iter, _Ch_traits, _Ch_alloc > & | __lhs,
|  | const sub_match< _Bi_iter > & | __rhs
| ) |  |

inline

Tests the inequivalence of a string and a regular expression submatch.

Parameters

  __lhs | A string.
  __rhs | A regular expression submatch.

Returns
  true if __lhs is not equivalent to __rhs, false otherwise.

Definition at line 1029 of file regex.h.

## operator!=() [3/8]

template<typename _Bi_iter , typename _Ch_traits , typename _Ch_alloc >

bool std::operator!= | ( | const sub_match< _Bi_iter > & | __lhs,
|  | const __sub_match_string< _Bi_iter, _Ch_traits, _Ch_alloc > & | __rhs
| ) |  |

inline

Tests the inequivalence of a regular expression submatch and a string.

Parameters

  __lhs | A regular expression submatch.
  __rhs | A string.

Returns
  true if __lhs is not equivalent to __rhs, false otherwise.

Definition at line 1109 of file regex.h.

## operator!=() [4/8]

template<typename _Bi_iter >

bool std::operator!= | ( | typename iterator_traits< _Bi_iter >::value_type const * | __lhs,
|  | const sub_match< _Bi_iter > & | __rhs
| ) |  |

inline

Tests the inequivalence of an iterator value and a regular expression submatch.

Parameters

  __lhs | A regular expression submatch.
  __rhs | A string.

Returns
  true if __lhs is not equivalent to __rhs, false otherwise.

Definition at line 1186 of file regex.h.

## operator!=() [5/8]

template<typename _Bi_iter >

bool std::operator!= | ( | const sub_match< _Bi_iter > & | __lhs,
|  | typename iterator_traits< _Bi_iter >::value_type const * | __rhs
| ) |  |

inline

Tests the inequivalence of a regular expression submatch and a string.

Parameters

  __lhs | A regular expression submatch.
  __rhs | A pointer to a string.

Returns
  true if __lhs is not equivalent to __rhs, false otherwise.

Definition at line 1260 of file regex.h.

## operator!=() [6/8]

template<typename _Bi_iter >

bool std::operator!= | ( | typename iterator_traits< _Bi_iter >::value_type const & | __lhs,
|  | const sub_match< _Bi_iter > & | __rhs
| ) |  |

inline

Tests the inequivalence of a string and a regular expression submatch.

Parameters

  __lhs | A string.
  __rhs | A regular expression submatch.

Returns
  true if __lhs is not equivalent to __rhs, false otherwise.

Definition at line 1337 of file regex.h.

## operator!=() [7/8]

template<typename _Bi_iter >

bool std::operator!= | ( | const sub_match< _Bi_iter > & | __lhs,
|  | typename iterator_traits< _Bi_iter >::value_type const & | __rhs
| ) |  |

inline

Tests the inequivalence of a regular expression submatch and a string.

Parameters

  __lhs | A regular expression submatch.
  __rhs | A const string reference.

Returns
  true if __lhs is not equivalent to __rhs, false otherwise.

Definition at line 1417 of file regex.h.

## operator!=() [8/8]

template<typename _Bi_iter , class _Alloc >

bool std::operator!= | ( | const match_results< _Bi_iter, _Alloc > & | __m1,
|  | const match_results< _Bi_iter, _Alloc > & | __m2
| ) |  |

inline

Compares two match_results for inequality.

Returns
  true if the two objects do not refer to the same match, false otherwise.

Definition at line 1944 of file regex.h.

## operator<() [1/7]

template<typename _BiIter >

bool std::operator< | ( | const sub_match< _BiIter > & | __lhs,
|  | const sub_match< _BiIter > & | __rhs
| ) |  |

inline

Tests the ordering of two regular expression submatches.

Parameters

  __lhs | First regular expression submatch.
  __rhs | Second regular expression submatch.

Returns
  true if __lhs precedes __rhs, false otherwise.

Definition at line 962 of file regex.h.

References std::sub_match< _BiIter >::compare().

## operator<() [2/7]

template<typename _Bi_iter , typename _Ch_traits , typename _Ch_alloc >

bool std::operator< | ( | const __sub_match_string< _Bi_iter, _Ch_traits, _Ch_alloc > & | __lhs,
|  | const sub_match< _Bi_iter > & | __rhs
| ) |  |

inline

Tests the ordering of a string and a regular expression submatch.

Parameters

  __lhs | A string.
  __rhs | A regular expression submatch.

Returns
  true if __lhs precedes __rhs, false otherwise.

Definition at line 1041 of file regex.h.

References std::sub_match< _BiIter >::compare().

## operator<() [3/7]

template<typename _Bi_iter , class _Ch_traits , class _Ch_alloc >

bool std::operator< | ( | const sub_match< _Bi_iter > & | __lhs,
|  | const __sub_match_string< _Bi_iter, _Ch_traits, _Ch_alloc > & | __rhs
| ) |  |

inline

Tests the ordering of a regular expression submatch and a string.

Parameters

  __lhs | A regular expression submatch.
  __rhs | A string.

Returns
  true if __lhs precedes __rhs, false otherwise.

Definition at line 1121 of file regex.h.

References std::sub_match< _BiIter >::compare().

## operator<() [4/7]

template<typename _Bi_iter >

bool std::operator< | ( | typename iterator_traits< _Bi_iter >::value_type const * | __lhs,
|  | const sub_match< _Bi_iter > & | __rhs
| ) |  |

inline

Tests the ordering of a string and a regular expression submatch.

Parameters

  __lhs | A string.
  __rhs | A regular expression submatch.

Returns
  true if __lhs precedes __rhs, false otherwise.

Definition at line 1198 of file regex.h.

References std::sub_match< _BiIter >::compare().

## operator<() [5/7]

template<typename _Bi_iter >

bool std::operator< | ( | const sub_match< _Bi_iter > & | __lhs,
|  | typename iterator_traits< _Bi_iter >::value_type const * | __rhs
| ) |  |

inline

Tests the ordering of a regular expression submatch and a string.

Parameters

  __lhs | A regular expression submatch.
  __rhs | A string.

Returns
  true if __lhs precedes __rhs, false otherwise.

Definition at line 1272 of file regex.h.

References std::basic_string< _CharT, _Traits, _Alloc >::compare().

## operator<() [6/7]

template<typename _Bi_iter >

bool std::operator< | ( | typename iterator_traits< _Bi_iter >::value_type const & | __lhs,
|  | const sub_match< _Bi_iter > & | __rhs
| ) |  |

inline

Tests the ordering of a string and a regular expression submatch.

Parameters

  __lhs | A string.
  __rhs | A regular expression submatch.

Returns
  true if __lhs precedes __rhs, false otherwise.

Definition at line 1349 of file regex.h.

References std::sub_match< _BiIter >::compare().

## operator<() [7/7]

template<typename _Bi_iter >

bool std::operator< | ( | const sub_match< _Bi_iter > & | __lhs,
|  | typename iterator_traits< _Bi_iter >::value_type const & | __rhs
| ) |  |

inline

Tests the ordering of a regular expression submatch and a string.

Parameters

  __lhs | A regular expression submatch.
  __rhs | A const string reference.

Returns
  true if __lhs precedes __rhs, false otherwise.

Definition at line 1429 of file regex.h.

References std::sub_match< _BiIter >::compare().

## operator<<()

template<typename _Ch_type , typename _Ch_traits , typename _Bi_iter >

basic_ostream<_Ch_type, _Ch_traits>& std::operator<< | ( | basic_ostream< _Ch_type, _Ch_traits > & | __os,
|  | const sub_match< _Bi_iter > & | __m
| ) |  |

inline

Inserts a matched string into an output stream.

Parameters

  __os | The output stream.
  __m | A submatch string.

Returns
  the output stream with the submatch string inserted.

Definition at line 1483 of file regex.h.

References std::sub_match< _BiIter >::str().

## operator<=() [1/7]

template<typename _BiIter >

bool std::operator<= | ( | const sub_match< _BiIter > & | __lhs,
|  | const sub_match< _BiIter > & | __rhs
| ) |  |

inline

Tests the ordering of two regular expression submatches.

Parameters

  __lhs | First regular expression submatch.
  __rhs | Second regular expression submatch.

Returns
  true if __lhs does not succeed __rhs, false otherwise.

Definition at line 973 of file regex.h.

References std::sub_match< _BiIter >::compare().

## operator<=() [2/7]

template<typename _Bi_iter , typename _Ch_traits , typename _Ch_alloc >

bool std::operator<= | ( | const __sub_match_string< _Bi_iter, _Ch_traits, _Ch_alloc > & | __lhs,
|  | const sub_match< _Bi_iter > & | __rhs
| ) |  |

inline

Tests the ordering of a string and a regular expression submatch.

Parameters

  __lhs | A string.
  __rhs | A regular expression submatch.

Returns
  true if __lhs does not succeed __rhs, false otherwise.

Definition at line 1080 of file regex.h.

## operator<=() [3/7]

template<typename _Bi_iter , class _Ch_traits , class _Ch_alloc >

bool std::operator<= | ( | const sub_match< _Bi_iter > & | __lhs,
|  | const __sub_match_string< _Bi_iter, _Ch_traits, _Ch_alloc > & | __rhs
| ) |  |

inline

Tests the ordering of a regular expression submatch and a string.

Parameters

  __lhs | A regular expression submatch.
  __rhs | A string.

Returns
  true if __lhs does not succeed __rhs, false otherwise.

Definition at line 1160 of file regex.h.

## operator<=() [4/7]

template<typename _Bi_iter >

bool std::operator<= | ( | typename iterator_traits< _Bi_iter >::value_type const * | __lhs,
|  | const sub_match< _Bi_iter > & | __rhs
| ) |  |

inline

Tests the ordering of a string and a regular expression submatch.

Parameters

  __lhs | A string.
  __rhs | A regular expression submatch.

Returns
  true if __lhs does not succeed __rhs, false otherwise.

Definition at line 1234 of file regex.h.

## operator<=() [5/7]

template<typename _Bi_iter >

bool std::operator<= | ( | const sub_match< _Bi_iter > & | __lhs,
|  | typename iterator_traits< _Bi_iter >::value_type const * | __rhs
| ) |  |

inline

Tests the ordering of a regular expression submatch and a string.

Parameters

  __lhs | A regular expression submatch.
  __rhs | A string.

Returns
  true if __lhs does not succeed __rhs, false otherwise.

Definition at line 1308 of file regex.h.

## operator<=() [6/7]

template<typename _Bi_iter >

bool std::operator<= | ( | typename iterator_traits< _Bi_iter >::value_type const & | __lhs,
|  | const sub_match< _Bi_iter > & | __rhs
| ) |  |

inline

Tests the ordering of a string and a regular expression submatch.

Parameters

  __lhs | A string.
  __rhs | A regular expression submatch.

Returns
  true if __lhs does not succeed __rhs, false otherwise.

Definition at line 1388 of file regex.h.

## operator<=() [7/7]

template<typename _Bi_iter >

bool std::operator<= | ( | const sub_match< _Bi_iter > & | __lhs,
|  | typename iterator_traits< _Bi_iter >::value_type const & | __rhs
| ) |  |

inline

Tests the ordering of a regular expression submatch and a string.

Parameters

  __lhs | A regular expression submatch.
  __rhs | A const string reference.

Returns
  true if __lhs does not succeed __rhs, false otherwise.

Definition at line 1468 of file regex.h.

## operator==() [1/8]

template<typename _BiIter >

bool std::operator== | ( | const sub_match< _BiIter > & | __lhs,
|  | const sub_match< _BiIter > & | __rhs
| ) |  |

inline

Tests the equivalence of two regular expression submatches.

Parameters

  __lhs | First regular expression submatch.
  __rhs | Second regular expression submatch.

Returns
  true if __lhs is equivalent to __rhs, false otherwise.

Definition at line 940 of file regex.h.

References std::sub_match< _BiIter >::compare().

## operator==() [2/8]

template<typename _Bi_iter , typename _Ch_traits , typename _Ch_alloc >

bool std::operator== | ( | const __sub_match_string< _Bi_iter, _Ch_traits, _Ch_alloc > & | __lhs,
|  | const sub_match< _Bi_iter > & | __rhs
| ) |  |

inline

Tests the equivalence of a string and a regular expression submatch.

Parameters

  __lhs | A string.
  __rhs | A regular expression submatch.

Returns
  true if __lhs is equivalent to __rhs, false otherwise.

Definition at line 1013 of file regex.h.

References std::sub_match< _BiIter >::compare(), std::basic_string< _CharT, _Traits, _Alloc >::data(), and std::basic_string< _CharT, _Traits, _Alloc >::size().

## operator==() [3/8]

template<typename _Bi_iter , typename _Ch_traits , typename _Ch_alloc >

bool std::operator== | ( | const sub_match< _Bi_iter > & | __lhs,
|  | const __sub_match_string< _Bi_iter, _Ch_traits, _Ch_alloc > & | __rhs
| ) |  |

inline

Tests the equivalence of a regular expression submatch and a string.

Parameters

  __lhs | A regular expression submatch.
  __rhs | A string.

Returns
  true if __lhs is equivalent to __rhs, false otherwise.

Definition at line 1093 of file regex.h.

References std::sub_match< _BiIter >::compare(), std::basic_string< _CharT, _Traits, _Alloc >::data(), and std::basic_string< _CharT, _Traits, _Alloc >::size().

## operator==() [4/8]

template<typename _Bi_iter >

bool std::operator== | ( | typename iterator_traits< _Bi_iter >::value_type const * | __lhs,
|  | const sub_match< _Bi_iter > & | __rhs
| ) |  |

inline

Tests the equivalence of a C string and a regular expression submatch.

Parameters

  __lhs | A C string.
  __rhs | A regular expression submatch.

Returns
  true if __lhs is equivalent to __rhs, false otherwise.

Definition at line 1173 of file regex.h.

References std::sub_match< _BiIter >::compare().

## operator==() [5/8]

template<typename _Bi_iter >

bool std::operator== | ( | const sub_match< _Bi_iter > & | __lhs,
|  | typename iterator_traits< _Bi_iter >::value_type const * | __rhs
| ) |  |

inline

Tests the equivalence of a regular expression submatch and a string.

Parameters

  __lhs | A regular expression submatch.
  __rhs | A pointer to a string?

Returns
  true if __lhs is equivalent to __rhs, false otherwise.

Definition at line 1247 of file regex.h.

References std::sub_match< _BiIter >::compare().

## operator==() [6/8]

template<typename _Bi_iter >

bool std::operator== | ( | typename iterator_traits< _Bi_iter >::value_type const & | __lhs,
|  | const sub_match< _Bi_iter > & | __rhs
| ) |  |

inline

Tests the equivalence of a string and a regular expression submatch.

Parameters

  __lhs | A string.
  __rhs | A regular expression submatch.

Returns
  true if __lhs is equivalent to __rhs, false otherwise.

Definition at line 1321 of file regex.h.

References std::sub_match< _BiIter >::compare().

## operator==() [7/8]

template<typename _Bi_iter >

bool std::operator== | ( | const sub_match< _Bi_iter > & | __lhs,
|  | typename iterator_traits< _Bi_iter >::value_type const & | __rhs
| ) |  |

inline

Tests the equivalence of a regular expression submatch and a string.

Parameters

  __lhs | A regular expression submatch.
  __rhs | A const string reference.

Returns
  true if __lhs is equivalent to __rhs, false otherwise.

Definition at line 1401 of file regex.h.

References std::sub_match< _BiIter >::compare().

## operator==() [8/8]

template<typename _Bi_iter , typename _Alloc >

bool std::operator== | ( | const match_results< _Bi_iter, _Alloc > & | __m1,
|  | const match_results< _Bi_iter, _Alloc > & | __m2
| ) |  |

inline

Compares two match_results for equality.

Returns
  true if the two objects refer to the same match, false otherwise.

Definition at line 1920 of file regex.h.

References std::match_results< _Bi_iter, _Alloc >::begin(), std::match_results< _Bi_iter, _Alloc >::empty(), std::match_results< _Bi_iter, _Alloc >::end(), std::equal(), std::match_results< _Bi_iter, _Alloc >::prefix(), std::match_results< _Bi_iter, _Alloc >::ready(), std::match_results< _Bi_iter, _Alloc >::size(), and std::match_results< _Bi_iter, _Alloc >::suffix().

## operator>() [1/7]

template<typename _BiIter >

bool std::operator> | ( | const sub_match< _BiIter > & | __lhs,
|  | const sub_match< _BiIter > & | __rhs
| ) |  |

inline

Tests the ordering of two regular expression submatches.

Parameters

  __lhs | First regular expression submatch.
  __rhs | Second regular expression submatch.

Returns
  true if __lhs succeeds __rhs, false otherwise.

Definition at line 995 of file regex.h.

References std::sub_match< _BiIter >::compare().

## operator>() [2/7]

template<typename _Bi_iter , typename _Ch_traits , typename _Ch_alloc >

bool std::operator> | ( | const __sub_match_string< _Bi_iter, _Ch_traits, _Ch_alloc > & | __lhs,
|  | const sub_match< _Bi_iter > & | __rhs
| ) |  |

inline

Tests the ordering of a string and a regular expression submatch.

Parameters

  __lhs | A string.
  __rhs | A regular expression submatch.

Returns
  true if __lhs succeeds __rhs, false otherwise.

Definition at line 1056 of file regex.h.

## operator>() [3/7]

template<typename _Bi_iter , class _Ch_traits , class _Ch_alloc >

bool std::operator> | ( | const sub_match< _Bi_iter > & | __lhs,
|  | const __sub_match_string< _Bi_iter, _Ch_traits, _Ch_alloc > & | __rhs
| ) |  |

inline

Tests the ordering of a regular expression submatch and a string.

Parameters

  __lhs | A regular expression submatch.
  __rhs | A string.

Returns
  true if __lhs succeeds __rhs, false otherwise.

Definition at line 1136 of file regex.h.

## operator>() [4/7]

template<typename _Bi_iter >

bool std::operator> | ( | typename iterator_traits< _Bi_iter >::value_type const * | __lhs,
|  | const sub_match< _Bi_iter > & | __rhs
| ) |  |

inline

Tests the ordering of a string and a regular expression submatch.

Parameters

  __lhs | A string.
  __rhs | A regular expression submatch.

Returns
  true if __lhs succeeds __rhs, false otherwise.

Definition at line 1210 of file regex.h.

## operator>() [5/7]

template<typename _Bi_iter >

bool std::operator> | ( | const sub_match< _Bi_iter > & | __lhs,
|  | typename iterator_traits< _Bi_iter >::value_type const * | __rhs
| ) |  |

inline

Tests the ordering of a regular expression submatch and a string.

Parameters

  __lhs | A regular expression submatch.
  __rhs | A string.

Returns
  true if __lhs succeeds __rhs, false otherwise.

Definition at line 1284 of file regex.h.

## operator>() [6/7]

template<typename _Bi_iter >

bool std::operator> | ( | typename iterator_traits< _Bi_iter >::value_type const & | __lhs,
|  | const sub_match< _Bi_iter > & | __rhs
| ) |  |

inline

Tests the ordering of a string and a regular expression submatch.

Parameters

  __lhs | A string.
  __rhs | A regular expression submatch.

Returns
  true if __lhs succeeds __rhs, false otherwise.

Definition at line 1364 of file regex.h.

## operator>() [7/7]

template<typename _Bi_iter >

bool std::operator> | ( | const sub_match< _Bi_iter > & | __lhs,
|  | typename iterator_traits< _Bi_iter >::value_type const & | __rhs
| ) |  |

inline

Tests the ordering of a regular expression submatch and a string.

Parameters

  __lhs | A regular expression submatch.
  __rhs | A const string reference.

Returns
  true if __lhs succeeds __rhs, false otherwise.

Definition at line 1444 of file regex.h.

## operator>=() [1/7]

template<typename _BiIter >

bool std::operator>= | ( | const sub_match< _BiIter > & | __lhs,
|  | const sub_match< _BiIter > & | __rhs
| ) |  |

inline

Tests the ordering of two regular expression submatches.

Parameters

  __lhs | First regular expression submatch.
  __rhs | Second regular expression submatch.

Returns
  true if __lhs does not precede __rhs, false otherwise.

Definition at line 984 of file regex.h.

References std::sub_match< _BiIter >::compare().

## operator>=() [2/7]

template<typename _Bi_iter , typename _Ch_traits , typename _Ch_alloc >

bool std::operator>= | ( | const __sub_match_string< _Bi_iter, _Ch_traits, _Ch_alloc > & | __lhs,
|  | const sub_match< _Bi_iter > & | __rhs
| ) |  |

inline

Tests the ordering of a string and a regular expression submatch.

Parameters

  __lhs | A string.
  __rhs | A regular expression submatch.

Returns
  true if __lhs does not precede __rhs, false otherwise.

Definition at line 1068 of file regex.h.

## operator>=() [3/7]

template<typename _Bi_iter , class _Ch_traits , class _Ch_alloc >

bool std::operator>= | ( | const sub_match< _Bi_iter > & | __lhs,
|  | const __sub_match_string< _Bi_iter, _Ch_traits, _Ch_alloc > & | __rhs
| ) |  |

inline

Tests the ordering of a regular expression submatch and a string.

Parameters

  __lhs | A regular expression submatch.
  __rhs | A string.

Returns
  true if __lhs does not precede __rhs, false otherwise.

Definition at line 1148 of file regex.h.

## operator>=() [4/7]

template<typename _Bi_iter >

bool std::operator>= | ( | typename iterator_traits< _Bi_iter >::value_type const * | __lhs,
|  | const sub_match< _Bi_iter > & | __rhs
| ) |  |

inline

Tests the ordering of a string and a regular expression submatch.

Parameters

  __lhs | A string.
  __rhs | A regular expression submatch.

Returns
  true if __lhs does not precede __rhs, false otherwise.

Definition at line 1222 of file regex.h.

## operator>=() [5/7]

template<typename _Bi_iter >

bool std::operator>= | ( | const sub_match< _Bi_iter > & | __lhs,
|  | typename iterator_traits< _Bi_iter >::value_type const * | __rhs
| ) |  |

inline

Tests the ordering of a regular expression submatch and a string.

Parameters

  __lhs | A regular expression submatch.
  __rhs | A string.

Returns
  true if __lhs does not precede __rhs, false otherwise.

Definition at line 1296 of file regex.h.

## operator>=() [6/7]

template<typename _Bi_iter >

bool std::operator>= | ( | typename iterator_traits< _Bi_iter >::value_type const & | __lhs,
|  | const sub_match< _Bi_iter > & | __rhs
| ) |  |

inline

Tests the ordering of a string and a regular expression submatch.

Parameters

  __lhs | A string.
  __rhs | A regular expression submatch.

Returns
  true if __lhs does not precede __rhs, false otherwise.

Definition at line 1376 of file regex.h.

## operator>=() [7/7]

template<typename _Bi_iter >

bool std::operator>= | ( | const sub_match< _Bi_iter > & | __lhs,
|  | typename iterator_traits< _Bi_iter >::value_type const & | __rhs
| ) |  |

inline

Tests the ordering of a regular expression submatch and a string.

Parameters

  __lhs | A regular expression submatch.
  __rhs | A const string reference.

Returns
  true if __lhs does not precede __rhs, false otherwise.

Definition at line 1456 of file regex.h.

## regex_match() [1/7]

template<typename _Bi_iter , typename _Alloc , typename _Ch_type , typename _Rx_traits >

bool std::regex_match | ( | _Bi_iter | __s,
|  | _Bi_iter | __e,
|  | match_results< _Bi_iter, _Alloc > & | __m,
|  | const basic_regex< _Ch_type, _Rx_traits > & | __re,
|  | regex_constants::match_flag_type | __flags = `regex_constants::match_default`
| ) |  |

inline

Determines if there is a match between the regular expression `e` and all of the character sequence [first, last).

Parameters

  __s | Start of the character sequence to match.
  __e | One-past-the-end of the character sequence to match.
  __m | The match results.
  __re | The regular expression.
  __flags | Controls how the regular expression is matched.

Return values

  true | A match exists.
  false | Otherwise.

Exceptions

  an | exception of type regex_error.

Definition at line 1988 of file regex.h.

Referenced by std::regex_match().

## regex_match() [2/7]

template<typename _Bi_iter , typename _Ch_type , typename _Rx_traits >

bool std::regex_match | ( | _Bi_iter | __first,
|  | _Bi_iter | __last,
|  | const basic_regex< _Ch_type, _Rx_traits > & | __re,
|  | regex_constants::match_flag_type | __flags = `regex_constants::match_default`
| ) |  |

inline

Indicates if there is a match between the regular expression `e` and all of the character sequence [first, last).

Parameters

  __first | Beginning of the character sequence to match.
  __last | One-past-the-end of the character sequence to match.
  __re | The regular expression.
  __flags | Controls how the regular expression is matched.

Return values

  true | A match exists.
  false | Otherwise.

Exceptions

  an | exception of type regex_error.

Definition at line 2016 of file regex.h.

References std::regex_match().

## regex_match() [3/7]

template<typename _Ch_type , typename _Alloc , typename _Rx_traits >

bool std::regex_match | ( | const _Ch_type * | __s,
|  | match_results< const _Ch_type *, _Alloc > & | __m,
|  | const basic_regex< _Ch_type, _Rx_traits > & | __re,
|  | regex_constants::match_flag_type | __f = `regex_constants::match_default`
| ) |  |

inline

Determines if there is a match between the regular expression `e` and a C-style null-terminated string.

Parameters

  __s | The C-style null-terminated string to match.
  __m | The match results.
  __re | The regular expression.
  __f | Controls how the regular expression is matched.

Return values

  true | A match exists.
  false | Otherwise.

Exceptions

  an | exception of type regex_error.

Definition at line 2041 of file regex.h.

References std::regex_match().

## regex_match() [4/7]

template<typename _Ch_traits , typename _Ch_alloc , typename _Alloc , typename _Ch_type , typename _Rx_traits >

bool std::regex_match | ( | const basic_string< _Ch_type, _Ch_traits, _Ch_alloc > & | __s,
|  | match_results< typename basic_string< _Ch_type, _Ch_traits, _Ch_alloc >::const_iterator, _Alloc > & | __m,
|  | const basic_regex< _Ch_type, _Rx_traits > & | __re,
|  | regex_constants::match_flag_type | __flags = `regex_constants::match_default`
| ) |  |

inline

Determines if there is a match between the regular expression `e` and a string.

Parameters

  __s | The string to match.
  __m | The match results.
  __re | The regular expression.
  __flags | Controls how the regular expression is matched.

Return values

  true | A match exists.
  false | Otherwise.

Exceptions

  an | exception of type regex_error.

Definition at line 2065 of file regex.h.

References std::basic_string< _CharT, _Traits, _Alloc >::begin(), std::basic_string< _CharT, _Traits, _Alloc >::end(), std::regex_constants::match_default, and std::regex_match().

## regex_match() [5/7]

template<typename _Ch_traits , typename _Ch_alloc , typename _Alloc , typename _Ch_type , typename _Rx_traits >

bool std::regex_match | ( | const basic_string< _Ch_type, _Ch_traits, _Ch_alloc > && | ,
|  | match_results< typename basic_string< _Ch_type, _Ch_traits, _Ch_alloc >::const_iterator, _Alloc > & | ,
|  | const basic_regex< _Ch_type, _Rx_traits > & | ,
|  | regex_constants::match_flag_type | = `regex_constants::match_default`
| ) |  |

delete

Prevent unsafe attempts to get match_results from a temporary string.

## regex_match() [6/7]

template<typename _Ch_type , class _Rx_traits >

bool std::regex_match | ( | const _Ch_type * | __s,
|  | const basic_regex< _Ch_type, _Rx_traits > & | __re,
|  | regex_constants::match_flag_type | __f = `regex_constants::match_default`
| ) |  |

inline

Indicates if there is a match between the regular expression `e` and a C-style null-terminated string.

Parameters

  __s | The C-style null-terminated string to match.
  __re | The regular expression.
  __f | Controls how the regular expression is matched.

Return values

  true | A match exists.
  false | Otherwise.

Exceptions

  an | exception of type regex_error.

Definition at line 2101 of file regex.h.

References std::regex_match().

## regex_match() [7/7]

template<typename _Ch_traits , typename _Str_allocator , typename _Ch_type , typename _Rx_traits >

bool std::regex_match | ( | const basic_string< _Ch_type, _Ch_traits, _Str_allocator > & | __s,
|  | const basic_regex< _Ch_type, _Rx_traits > & | __re,
|  | regex_constants::match_flag_type | __flags = `regex_constants::match_default`
| ) |  |

inline

Indicates if there is a match between the regular expression `e` and a string.

Parameters

  __s | [IN] The string to match.
  __re | [IN] The regular expression.
  __flags | [IN] Controls how the regular expression is matched.

Return values

  true | A match exists.
  false | Otherwise.

Exceptions

  an | exception of type regex_error.

Definition at line 2123 of file regex.h.

References std::basic_string< _CharT, _Traits, _Alloc >::begin(), std::basic_string< _CharT, _Traits, _Alloc >::end(), and std::regex_match().

## regex_replace() [1/6]

template<typename _Out_iter , typename _Bi_iter , typename _Rx_traits , typename _Ch_type , typename _St , typename _Sa >

_Out_iter std::regex_replace | ( | _Out_iter | __out,
|  | _Bi_iter | __first,
|  | _Bi_iter | __last,
|  | const basic_regex< _Ch_type, _Rx_traits > & | __e,
|  | const basic_string< _Ch_type, _St, _Sa > & | __fmt,
|  | regex_constants::match_flag_type | __flags = `regex_constants::match_default`
| ) |  |

inline

Search for a regular expression within a range for multiple times, and replace the matched parts through filling a format string.

Parameters

  __out | [OUT] The output iterator.
  __first | [IN] The start of the string to search.
  __last | [IN] One-past-the-end of the string to search.
  __e | [IN] The regular expression to search for.
  __fmt | [IN] The format string.
  __flags | [IN] Search and replace policy flags.

Returns
  __out

Exceptions

  an | exception of type regex_error.

Definition at line 2294 of file regex.h.

References std::basic_string< _CharT, _Traits, _Alloc >::c_str(), and std::regex_constants::match_default.

Referenced by std::regex_replace().

## regex_replace() [2/6]

template<typename _Out_iter , typename _Bi_iter , typename _Rx_traits , typename _Ch_type >

_Out_iter std::regex_replace | ( | _Out_iter | __out,
|  | _Bi_iter | __first,
|  | _Bi_iter | __last,
|  | const basic_regex< _Ch_type, _Rx_traits > & | __e,
|  | const _Ch_type * | __fmt,
|  | regex_constants::match_flag_type | __flags = `regex_constants::match_default`
| ) |  |

Search for a regular expression within a range for multiple times, and replace the matched parts through filling a format C-string.

Parameters

  __out | [OUT] The output iterator.
  __first | [IN] The start of the string to search.
  __last | [IN] One-past-the-end of the string to search.
  __e | [IN] The regular expression to search for.
  __fmt | [IN] The format C-string.
  __flags | [IN] Search and replace policy flags.

Returns
  __out

Exceptions

  an | exception of type regex_error.

Definition at line 472 of file regex.tcc.

References std::pair< _T1, _T2 >::first, std::regex_constants::format_first_only, std::regex_constants::format_no_copy, std::regex_iterator< _Bi_iter, _Ch_type, _Rx_traits >::operator==(), and std::pair< _T1, _T2 >::second.

## regex_replace() [3/6]

template<typename _Rx_traits , typename _Ch_type , typename _St , typename _Sa , typename _Fst , typename _Fsa >

basic_string<_Ch_type, _St, _Sa> std::regex_replace | ( | const basic_string< _Ch_type, _St, _Sa > & | __s,
|  | const basic_regex< _Ch_type, _Rx_traits > & | __e,
|  | const basic_string< _Ch_type, _Fst, _Fsa > & | __fmt,
|  | regex_constants::match_flag_type | __flags = `regex_constants::match_default`
| ) |  |

inline

Search for a regular expression within a string for multiple times, and replace the matched parts through filling a format string.

Parameters

  __s | [IN] The string to search and replace.
  __e | [IN] The regular expression to search for.
  __fmt | [IN] The format string.
  __flags | [IN] Search and replace policy flags.

Returns
  The string after replacing.

Exceptions

  an | exception of type regex_error.

Definition at line 2339 of file regex.h.

References std::back_inserter(), std::basic_string< _CharT, _Traits, _Alloc >::begin(), std::basic_string< _CharT, _Traits, _Alloc >::end(), and std::regex_replace().

## regex_replace() [4/6]

template<typename _Rx_traits , typename _Ch_type , typename _St , typename _Sa >

basic_string<_Ch_type, _St, _Sa> std::regex_replace | ( | const basic_string< _Ch_type, _St, _Sa > & | __s,
|  | const basic_regex< _Ch_type, _Rx_traits > & | __e,
|  | const _Ch_type * | __fmt,
|  | regex_constants::match_flag_type | __flags = `regex_constants::match_default`
| ) |  |

inline

Search for a regular expression within a string for multiple times, and replace the matched parts through filling a format C-string.

Parameters

  __s | [IN] The string to search and replace.
  __e | [IN] The regular expression to search for.
  __fmt | [IN] The format C-string.
  __flags | [IN] Search and replace policy flags.

Returns
  The string after replacing.

Exceptions

  an | exception of type regex_error.

Definition at line 2365 of file regex.h.

References std::back_inserter(), std::basic_string< _CharT, _Traits, _Alloc >::begin(), std::basic_string< _CharT, _Traits, _Alloc >::end(), and std::regex_replace().

## regex_replace() [5/6]

template<typename _Rx_traits , typename _Ch_type , typename _St , typename _Sa >

basic_string<_Ch_type> std::regex_replace | ( | const _Ch_type * | __s,
|  | const basic_regex< _Ch_type, _Rx_traits > & | __e,
|  | const basic_string< _Ch_type, _St, _Sa > & | __fmt,
|  | regex_constants::match_flag_type | __flags = `regex_constants::match_default`
| ) |  |

inline

Search for a regular expression within a C-string for multiple times, and replace the matched parts through filling a format string.

Parameters

  __s | [IN] The C-string to search and replace.
  __e | [IN] The regular expression to search for.
  __fmt | [IN] The format string.
  __flags | [IN] Search and replace policy flags.

Returns
  The string after replacing.

Exceptions

  an | exception of type regex_error.

Definition at line 2391 of file regex.h.

References std::back_inserter(), and std::regex_replace().

## regex_replace() [6/6]

template<typename _Rx_traits , typename _Ch_type >

basic_string<_Ch_type> std::regex_replace | ( | const _Ch_type * | __s,
|  | const basic_regex< _Ch_type, _Rx_traits > & | __e,
|  | const _Ch_type * | __fmt,
|  | regex_constants::match_flag_type | __flags = `regex_constants::match_default`
| ) |  |

inline

Search for a regular expression within a C-string for multiple times, and replace the matched parts through filling a format C-string.

Parameters

  __s | [IN] The C-string to search and replace.
  __e | [IN] The regular expression to search for.
  __fmt | [IN] The format C-string.
  __flags | [IN] Search and replace policy flags.

Returns
  The string after replacing.

Exceptions

  an | exception of type regex_error.

Definition at line 2417 of file regex.h.

References std::back_inserter(), and std::regex_replace().

## regex_search() [1/7]

template<typename _Bi_iter , typename _Alloc , typename _Ch_type , typename _Rx_traits >

bool std::regex_search | ( | _Bi_iter | __s,
|  | _Bi_iter | __e,
|  | match_results< _Bi_iter, _Alloc > & | __m,
|  | const basic_regex< _Ch_type, _Rx_traits > & | __re,
|  | regex_constants::match_flag_type | __flags = `regex_constants::match_default`
| ) |  |

inline

Searches for a regular expression within a range.

Parameters

  __s | [IN] The start of the string to search.
  __e | [IN] One-past-the-end of the string to search.
  __m | [OUT] The match results.
  __re | [IN] The regular expression to search for.
  __flags | [IN] Search policy flags.

Return values

  true | A match was found within the string.
  false | No match was found within the string, the content of m is undefined.

Exceptions

  an | exception of type regex_error.

Definition at line 2146 of file regex.h.

Referenced by std::regex_iterator< _Bi_iter, _Ch_type, _Rx_traits >::operator++(), std::regex_iterator< _Bi_iter, _Ch_type, _Rx_traits >::regex_iterator(), and std::regex_search().

## regex_search() [2/7]

template<typename _Bi_iter , typename _Ch_type , typename _Rx_traits >

bool std::regex_search | ( | _Bi_iter | __first,
|  | _Bi_iter | __last,
|  | const basic_regex< _Ch_type, _Rx_traits > & | __re,
|  | regex_constants::match_flag_type | __flags = `regex_constants::match_default`
| ) |  |

inline

Searches for a regular expression within a range.

Parameters

  __first | [IN] The start of the string to search.
  __last | [IN] One-past-the-end of the string to search.
  __re | [IN] The regular expression to search for.
  __flags | [IN] Search policy flags.

Return values

  true | A match was found within the string.
  false | No match was found within the string.

Exceptions

  an | exception of type regex_error.

Definition at line 2170 of file regex.h.

References std::regex_search().

## regex_search() [3/7]

template<typename _Ch_type , class _Alloc , class _Rx_traits >

bool std::regex_search | ( | const _Ch_type * | __s,
|  | match_results< const _Ch_type *, _Alloc > & | __m,
|  | const basic_regex< _Ch_type, _Rx_traits > & | __e,
|  | regex_constants::match_flag_type | __f = `regex_constants::match_default`
| ) |  |

inline

Searches for a regular expression within a C-string.

Parameters

  __s | [IN] A C-string to search for the regex.
  __m | [OUT] The set of regex matches.
  __e | [IN] The regex to search for in `s`.
  __f | [IN] The search flags.

Return values

  true | A match was found within the string.
  false | No match was found within the string, the content of m is undefined.

Exceptions

  an | exception of type regex_error.

Definition at line 2193 of file regex.h.

References std::regex_search().

## regex_search() [4/7]

template<typename _Ch_type , typename _Rx_traits >

bool std::regex_search | ( | const _Ch_type * | __s,
|  | const basic_regex< _Ch_type, _Rx_traits > & | __e,
|  | regex_constants::match_flag_type | __f = `regex_constants::match_default`
| ) |  |

inline

Searches for a regular expression within a C-string.

Parameters

  __s | [IN] The C-string to search.
  __e | [IN] The regular expression to search for.
  __f | [IN] Search policy flags.

Return values

  true | A match was found within the string.
  false | No match was found within the string.

Exceptions

  an | exception of type regex_error.

Definition at line 2212 of file regex.h.

References std::regex_search().

## regex_search() [5/7]

template<typename _Ch_traits , typename _String_allocator , typename _Ch_type , typename _Rx_traits >

bool std::regex_search | ( | const basic_string< _Ch_type, _Ch_traits, _String_allocator > & | __s,
|  | const basic_regex< _Ch_type, _Rx_traits > & | __e,
|  | regex_constants::match_flag_type | __flags = `regex_constants::match_default`
| ) |  |

inline

Searches for a regular expression within a string.

Parameters

  __s | [IN] The string to search.
  __e | [IN] The regular expression to search for.
  __flags | [IN] Search policy flags.

Return values

  true | A match was found within the string.
  false | No match was found within the string.

Exceptions

  an | exception of type regex_error.

Definition at line 2231 of file regex.h.

References std::regex_search().

## regex_search() [6/7]

template<typename _Ch_traits , typename _Ch_alloc , typename _Alloc , typename _Ch_type , typename _Rx_traits >

bool std::regex_search | ( | const basic_string< _Ch_type, _Ch_traits, _Ch_alloc > & | __s,
|  | match_results< typename basic_string< _Ch_type, _Ch_traits, _Ch_alloc >::const_iterator, _Alloc > & | __m,
|  | const basic_regex< _Ch_type, _Rx_traits > & | __e,
|  | regex_constants::match_flag_type | __f = `regex_constants::match_default`
| ) |  |

inline

Searches for a regular expression within a string.

Parameters

  __s | [IN] A C++ string to search for the regex.
  __m | [OUT] The set of regex matches.
  __e | [IN] The regex to search for in `s`.
  __f | [IN] The search flags.

Return values

  true | A match was found within the string.
  false | No match was found within the string, the content of m is undefined.

Exceptions

  an | exception of type regex_error.

Definition at line 2254 of file regex.h.

References std::basic_string< _CharT, _Traits, _Alloc >::begin(), std::basic_string< _CharT, _Traits, _Alloc >::end(), std::regex_constants::match_default, and std::regex_search().

## regex_search() [7/7]

template<typename _Ch_traits , typename _Ch_alloc , typename _Alloc , typename _Ch_type , typename _Rx_traits >

bool std::regex_search | ( | const basic_string< _Ch_type, _Ch_traits, _Ch_alloc > && | ,
|  | match_results< typename basic_string< _Ch_type, _Ch_traits, _Ch_alloc >::const_iterator, _Alloc > & | ,
|  | const basic_regex< _Ch_type, _Rx_traits > & | ,
|  | regex_constants::match_flag_type | = `regex_constants::match_default`
| ) |  |

delete

Prevent unsafe attempts to get match_results from a temporary string.

## swap() [1/2]

template<typename _Ch_type , typename _Rx_traits >

void std::swap | ( | basic_regex< _Ch_type, _Rx_traits > & | __lhs,
|  | basic_regex< _Ch_type, _Rx_traits > & | __rhs
| ) |  |

inline

Swaps the contents of two regular expression objects.

Parameters

  __lhs | First regular expression.
  __rhs | Second regular expression.

Definition at line 805 of file regex.h.

References std::basic_regex< _Ch_type, _Rx_traits >::swap().

## swap() [2/2]

template<typename _Bi_iter , typename _Alloc >

void std::swap | ( | match_results< _Bi_iter, _Alloc > & | __lhs,
|  | match_results< _Bi_iter, _Alloc > & | __rhs
| ) |  |

inline

Swaps two match results.

Parameters

  __lhs | A match result.
  __rhs | A match result.

The contents of the two match_results objects are swapped.

Definition at line 1958 of file regex.h.

References std::match_results< _Bi_iter, _Alloc >::swap().

Referenced by std::match_results< _Bi_iter >::swap().